Subject: Re: Loopback mode of a fixed Termination

From: Christian Groves <[email-masked]>
Date: Mon, 02 Jul 2001 16:55:03 +1000

G'Day Brian,

I have the same opinion. Loopback is essentially putting a wire
between send and receive on Tid=A. So what you send on A you receive on
A. Thus if you receive on A it gets passed to C.

Christian

"Rosen, Brian" wrote:
> 
> Hmm, seem to have missed that.
> 
> It's not entirely clear to me.  There are a couple of hints in the text that
> suggest that
> indeed it does.  The most telling is:
>      If the Mode property of the LocalControl descriptor is RecvOnly,
>      SendRecv, or Loopback, the MG must be prepared to receive media
>      encoded according to any of the alternatives included in its
>      response to the MGC.
> I would say that yes, loopback implies data is sent towards the Context.
> Inactive or RecieveOnly would not.
> 
> Anyone got a different opinion?
> 
> Brian
> 
> >  -----Original Message-----
> > From:         Leahy, Sean
> > Sent: Friday, June 29, 2001 12:00 PM
> > To:   Rosen, Brian
> > Subject:      Loopback mode of a fixed Termination
> >
> > Brian,
> >       Have you seen this question ?
> >
> >       Sean
> > ---------------------- Forwarded by Sean Leahy/MAIN/MC1 on 29/06/2001
> > 16:59 ---------------------------
> >
> >  <<...OLE_Obj...>>
> > From: Sean Leahy On: 29/06/2001 09:07:52
> >
> > To:   Brian Rosen/MAIN/MC1@MSEXCH
> > cc:   [email-masked]
> >
> > Subject:      Loopback mode of a fixed Termination
> >
> > Brian,
> >       Can you confirm that if a fixed Termination A with a mode of
> > Loopback, is in an H.248 Context (default star topology) that also
> > contains an ephemeral in send only mode, connected across the network to C
> > then (all being equal at C's end) C should hear the data being sent from A
> > to A ?
> >
> >       Thanks,
> >       Sean
> >
> >

---

From: "Sean Leahy" <[email-masked]>
Date: Mon, 2 Jul 2001 09:31:53 +0100

Christian,
     Sorry, but this has confused me a little. I expected that the loopback mode
of a termination implies that either:

     a. Media is entirely to and from the termination without any visibility to
the rest of the context or

     b. Media sent out from the loopback termination, goes through the context
on the way back to the termination.

     If b., then it would be by virtue of the sending of media from A that the
media is also fanned-out to c. i.e. not by virtue of the receiving of media at
A.

     If this assumption is wrong, can you clarify ?

     Thanks,
     Sean

Christian Groves <[email-masked]> on 02/07/2001 07:55:03

                                                              

 cc:       Sean Leahy/MAIN/MC1@MCMAIN, "[email-masked]'"    
           <[email-masked]>                                  

 Subject:  Re: Loopback mode of a fixed Termination           

G'Day Brian,

Christian

---

From: "Richard Watts" <[email-masked]>
Date: Mon, 2 Jul 2001 10:29:51 +0100

Sean & Brian,
Having looked at the following items, it appears that we have some clashing
ideas in this area:
1. H.248 7.1.8 as spotted by Brian: "If ReserveGroup is true or ReserveValue is
true, then the following rules apply.
*  If the Mode property of the LocalControl descriptor is RecvOnly, SendRecv, or
Loopback, the MG must be prepared to receive media encoded according to any of
the alternatives included in its response to the MGC."

2. H.248 Annex E.10 Basic Continuity Package: "Upon reception of a command with
the rsp signal, the MG either applies a loopback or (for 2-wire circuits) awaits
reception of a continuity test tone.  In the loopback case, any incoming
information shall be reflected back as outgoing information.  In the 2-wire
case, any time the appropriate test tone is received, the appropriate response
tone should be sent.  The MGC determines when to remove the rsp signal.
When a continuity test is performed on a termination, no echo devices or codecs
shall be active on that termination."

3. "Megaco Call flow examples" paper by B.Madhubabu, Prerepa Viswanadham &
Krishna Gundamaraju from the Megaco forum.  Section 2.12 case (b).  Here the MGC
instructs the MG to put a termination into Loopback mode and to apply the H.248
Basic continuity package property ct/rsp.  The reasoning behind applying the
loopback mode from the associated text is that the MG can respond with the same
signal looped back to the same (PSTN) switch that originated it, as opposed to:
any time the appropriate test tone is received, the appropriate response tone
should be sent.

Note the final sentences of 1. and 2. above appears to clash on first
appearances.
Therefore, how does H.248 7.1.7 "Signals and Events are not affected by mode"
clarify things ?

Richard Watts

------------------------------------------------------------------------------------------------------

Brian

---

From: "Sean Leahy" <[email-masked]>
Date: Mon, 2 Jul 2001 11:50:41 +0100

Christian,
     Oops ! I see now what you mean. Of course the mode of the termination is
with respect to the exterior of the context (in both the case of a fixed
Termination or an ephemeral Termination).

     So you are quite right to say that it is by virtue of the reception of
media from the exterior of the termination into the context that the loopbacked
media can then fan-out from the context to another exterior  via the ephemerals
(if they in turn, have a sending mode).

     The alternative view would be that one of the differences between loopback
and send/receive is that media flows in and out of the termination without being
visible to the rest of the context. However, both Brian and yourself do not
think that is the correct interpratation.

     Thanks,
     Sean
---------------------- Forwarded by Sean Leahy/MAIN/MC1 on 02/07/2001 11:39
---------------------------

(Embedded image moved to file: pic11702.pcx)
From: Sean Leahy On: 02/07/2001 09:31:53

To:   Christian Groves <[email-masked]> @ MCEXT
cc:   Brian Rosen/MAIN/MC1@MSEXCH, "[email-masked]'" <[email-masked]>

Subject:  Re: Loopback mode of a fixed Termination  (Document link: Sean Leahy)

Christian,

     Thanks,
     Sean

                                                                                

                                                              

G'Day Brian,

Christian

---

From: "Sean Leahy" <[email-masked]>
Date: Mon, 2 Jul 2001 16:35:34 +0100

Brian,
     This is not to do with crazily squeezing micosecs of call set-up via early
bearer connections, it is to do with supporting existing PSTN functionality that
allows  simultaneous loopback with fan-out (e.g. monitor a loopback from another
termination).

     We do not know why anybody should want to do this but cannot guarantee that
nobody does !

     To support this pre-existing functionality it would be necessary to allow
that there can be ephemerals in an active context that also involves a loopback
termination.

     In this scenario, leaving an initial loopbacked termination in a null
context simply does not seem to help.

     The H.248 question was to check that H.248 would support the same
operation.

     Regards,
     Sean

From: Brian Rosen/MAIN/MC1@MSEXCH on 02/07/2001 15:30

To:   Wayne Cutler/MAIN/MC1@MCMAIN
cc:   Sean Leahy/MAIN/MC1@MCMAIN

Subject:  RE: Loopback mode of a fixed Termination

Of course that is what I think most folks imagine, but you have
these folks trying to get the last microsecond of call setup
time out by creating the network bearer connections too soon.
I think that is crazy, but I think that is where some of these
questions come from.

Brian

> From: Wayne Cutler [mailto:[email-masked]]
> Sent: Monday, July 02, 2001 7:51 AM
> To: Sean Leahy
> Cc: [email-masked]
> Yes, it is all a bit confusing sometimes trying to work out
> the net result of a
> number of inputs/commands to a GW .
>
> I think that I would look to avoid/simplify the issue by
> leaving the termination
> in a null context whilst the loopback is applied. Certainly, this is
> what the (I)NLHU effectively does on the SCA (albeit in an
> MGCP environment). So
> loopback gets applied, the continuity test passes and the
> call proceeds as normal (at which point, the "normal"
> connection stuff occurs -
> which in H248 would be moving terminations into a
> non-null context).
>
> Wayne.
>
>

---

From: "Sean Leahy" <[email-masked]>
Date: Thu, 19 Jul 2001 10:17:57 +0100

Tom.
     I agree that loopback is typically used for the testing situations that you
describe, however should a user want to use the interaction with fan-out (for
whatever mysterious reason) as it is not prevented in a legacy POTS application,
the question was about whether H.248 would continue to support it. The answers
have indicated that it would and that if this configuration was created, the
media WOULD be propagated through the context.

Sean

"Tom-PT Taylor" <[email-masked]> on 18/07/2001 17:01:36

                                                              

 To:       Sean Leahy/MAIN/MC1@MCMAIN, Christian Groves       
           <[email-masked]>                    
                                                              
 cc:       Brian Rosen/MAIN/MC1@MSEXCH, "[email-masked]'"   
           <[email-masked]>                                  

Maybe I shouldn't confuse matters, but I always thought of loopback as being
a state where the media would be available to that one termination only.  It
is typically going to be used in testing situations, so the question is
whether such situations demand propagation through the context as well as
back to the source.

-----Original Message-----
From: Sean Leahy [mailto:[email-masked]]
Sent: Monday, July 02, 2001 6:51 AM
To: Christian Groves
Cc: Brian Rosen; [email-masked]'
Subject: Re: Loopback mode of a fixed Termination

Christian,
     Oops ! I see now what you mean. Of course the mode of the termination
is
with respect to the exterior of the context (in both the case of a fixed
Termination or an ephemeral Termination).

     So you are quite right to say that it is by virtue of the reception of
media from the exterior of the termination into the context that the
loopbacked
media can then fan-out from the context to another exterior  via the
ephemerals
(if they in turn, have a sending mode).

     The alternative view would be that one of the differences between
loopback
and send/receive is that media flows in and out of the termination without
being
visible to the rest of the context. However, both Brian and yourself do not
think that is the correct interpratation.

     Thanks,
     Sean

Subject:  Re: Loopback mode of a fixed Termination  (Document link: Sean
Leahy)

Christian,
     Sorry, but this has confused me a little. I expected that the loopback
mode
of a termination implies that either:

     a. Media is entirely to and from the termination without any visibility
to
the rest of the context or

     b. Media sent out from the loopback termination, goes through the
context
on the way back to the termination.

     If b., then it would be by virtue of the sending of media from A that
the
media is also fanned-out to c. i.e. not by virtue of the receiving of media
at
A.

     Thanks,
     Sean

G'Day Brian,

Christian

---

From: "Sean Leahy" <[email-masked]>
Date: Fri, 20 Jul 2001 09:10:07 +0100

Tom.

Sean

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco